# Сергеев Артем Константинович
# Вариант 4
# Дан словарь с натуральными ключами {1: 'Один', 2: 'Два', 3: 'Три', 100: 'сто'}.
# Выведите на экран сумму ключей, максимальное и минимальное значения ключей, а также их количество
def transformation(str):  # Переводим слова в цифры
    numbers = {
        'Один': 1,
        'Два': 2,
        'Три': 3,
        'Сто': 100,
    }
    return numbers.get(str)


numbers = {1: 'Один', 2: 'Два', 3: 'Три', 100: 'Сто'}
sum = 0
a = []
index = 0  # Индекс для нахождения мин. элемента и макс. элемента

#  print(transformation('Сто'))
for key in numbers:
    sum += key  # сумма элементов
    word_to_number = transformation(numbers.get(key))  # Переменная, которая хранит числа, переведенные со строк
    a.append(word_to_number)  # Добавляем в list элементы для дальнейшей сортировки и нахождения min, max значений

min_value = min(a)
max_value = max(a)
curr = len(a) # Количество значений

print('Сумма ключей - ' + str(sum) + "\n")
print('Мин. элемент - ' + str(min_value) + "\n")
print('Max элемент - ' + str(max_value) + "\n")
print('Количество значений в словаре - ' + str(curr) + "\n")
